
:root {
    --bg-01: #F7F4F6;
    --bg-02: #FFFFFF;

    --text-01: #2F2F2F;

    --color-01: #E4E4E7;
    --color-02: #E5E7EB;
    --color-03: #D4D4D8;
    --color-04: #60A5FA;
    --color-05: #3B82F6;
    --color-06: #EC4899;
    --color-07: #F472B6;


    --main-width: 1440px;
    --section-padding: 30px;
}

body {
    background: var(--bg-01);  
    min-height: 100svh;
    color: var(--text-01);
    line-height: 1.5em;
    font-size: 11pt;
    font-family: 'Pretendard', -apple-system, BlinkMacSystemFont, system-ui, Roboto, 'Helvetica Neue', 'Segoe UI', 'Apple SD Gothic Neo', 'Noto Sans KR', 'Malgun Gothic', sans-serif;
    font-weight: 400;
    color: var(--text-01);
    line-height: 1.5em;
}

/* 상단 */
header {
    display: block;
    position: sticky;
    top: 0;
    width: 100%;
    height: 72px;
    z-index: 2;
}
header > .header-container {
    display: flex;
    justify-content: space-between;
    width: 100%;
    max-width: var(--main-width);
    margin: 0 auto;
    height: 100%;
    background: #6F87A3; 
    border-bottom: 1px solid rgba(255,255,255,.35);
    box-shadow:
        0 1px 0 rgba(255,255,255,.15) inset,
        0 3px 10px rgba(0,0,0,.10);
}
header > .header-container > .site-title {
    display: flex;
    width: auto;
    flex-direction: column;
    justify-content: center;
    gap: .5rem;
    text-decoration: none;
    padding-left: 30px;
}
header > .header-container > .site-title > .site-name {
    display: block;
    width: auto;
    font-size: 1.75rem;
    line-height: 1em;
    font-weight: 600;
    color: #fff;
}
header > .header-container > .site-title > .site-short {
    display: block;
    width: auto;
    font-size: 0.875rem;
    line-height: 1em;
    font-weight: 300;
    color: rgba(255,255,255,.8);
}

/* Wide screen 해더 메뉴 */
header > .header-container > .main-nav {
    display: flex;
    width: auto;
    height: 100%;
    align-items: center;
    justify-content: flex-end;
    padding-right: 15px;
}

header > .header-container > .main-nav > ul {
    display: flex;
    width: auto;
    height: auto;
    gap: .25rem;
    list-style: none;
    justify-content: flex-start;
    align-items: center;
}
header > .header-container > .main-nav > ul > li {
    display: block;
    width: auto;
    height: auto;
}
header > .header-container > .main-nav > ul > li > a {
    display: block;
    position: relative;
    width: auto;
    height: auto;
    font-size: 1rem;
    line-height: 1em;
    color: #fff;
    text-decoration: none;
    padding: 10px 15px;
    border-radius: 5px;
}
header > .header-container > .main-nav > ul > li.on > a {
    font-weight: 600;
}
header > .header-container > .main-nav > ul > li.on > a::after {
    content: '';
    position: absolute;
    width: calc(100% - 25px);
    left: 50%;
    transform: translateX(-50%);
    bottom: 5px;
    height: 2px;
    background: #FFE082;

}
header > .header-container > .main-nav > ul > li > a > .menu-desc {
    display: none;
    transition: all 0.3s ease;
    visibility: hidden;
    box-shadow: 
        0 1px 0 rgba(255,255,255,.15) inset,
        0 3px 10px rgba(0,0,0,.10);
}
header > .header-container > .main-nav > ul > li.off > a:hover > .menu-desc {
    display: block;
    display: flex;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: translate(-50%, 0);
    position: absolute;
    left: 50%;
    top: 85%;
    background: rgba(0,0,0,.8);
    color: #fff;
    font-size: 0.75rem;
    line-height: 1em;
    padding: 5px 10px;
    border-radius: 5px;
    white-space: nowrap;
    z-index: 1;
}

header > .header-container > .main-nav > ul .delimiter {
    display: block;
    width: 2px;
    height: 1em;
    background-color: rgba(255,255,255,.4);
}

main {
    display: block;
    width: 100%;
    height: auto;
}

/* 페이지 헤더 */
main > section.page_header {
    display: flex;
    width: 100%;
    aspect-ratio: 16 / 3;
    background-size: cover;
    height: auto;
    max-width: var(--main-width);
    margin: 0 auto;
    height: auto;
    justify-content: center;
    align-items: center;
}



 /* 하단 */
footer > section {
    display: block;
    width: 100%;
    max-width: var(--main-width);
    margin: 0 auto;
    padding: 0 15px;
    height: auto;
}

#footer_body {
    display: grid;
    width: 100%;
    height: auto;
    grid-template-columns: auto max(20%, 145px) max(20%, 180px) max(10%, 120px);
    padding: 2em 0;
    gap: 5px;
    line-height: 1.75em;
}

#footer_body > * {
    display: block;
    width: 100%;
    height: auto;
}

#footer_body .about_us img {
    display: block;
    width: 256px;
    height: auto;
    margin-bottom: 1em ;
}

#footer_body .sns img {
    width: 1.5em;
    margin-right: .1em;
    height: auto;
}

#footer_body h3 {
    font-size: 1.2em;
    font-weight: 600;
    margin-bottom: 1em;
}

#footer_body .contact_us a, #footer_body .service a  {
    display: block;
    line-height: 1.5em;
}

#footer_body .contact_us a:hover, #footer_body .service a:hover  {
    text-decoration: underline;
}



@media (max-width : 1000px) {
    #footer_body {
        grid-template-columns: auto max(22%, 145px) max(22%, 180px);
        row-gap: 2em;
    }
}

@media (max-width : 800px) {
    #footer_body {
        grid-template-columns: auto max(30%, 145px);
        row-gap: 2em;
        column-gap: 1em;
    }
}

@media (max-width : 640px) {
    :root {
        --main-padding: 0;
        --navi-padding: 0 min(10px, max(5px, 1.56vw));
    }
    #footer_body {
        display: block;
    }
    #footer_body .about_us, #footer_body .contact_us, #footer_body .service, #footer_body .sns {
        padding: min(20px, max(10px, 3.125vw)) 0 min(40px, max(20px, 6.25vw));
    }
    #footer_body .contact_us, #footer_body .service, #footer_body .sns {
        border-top: 1px solid var(--color-03);
    }

}

